SDL_Texture Struct Reference

`#include <SDL_sysrender.h>`

Collaboration diagram for SDL_Texture:
[legend]

## Data Fields

const void * | magic
Uint32 | format
int | access
int | w
int | h
int | modMode
SDL_BlendMode | blendMode
Uint8 | r
Uint8 | g
Uint8 | b
Uint8 | a
SDL_Renderer * | renderer
SDL_Texture * | native
SDL_SW_YUVTexture * | yuv
void * | pixels
int | pitch
SDL_Rect | locked_rect
void * | driverdata
SDL_Texture * | prev
SDL_Texture * | next

## Detailed Description

Definition at line 49 of file SDL_sysrender.h.

## Field Documentation

## a

Uint8 SDL_Texture::a

Texture modulation values

Definition at line 58 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), SDL_GetTextureAlphaMod(), SDL_SetTextureAlphaMod(), SW_CreateTexture(), and SW_SetTextureAlphaMod().

## access

int SDL_Texture::access

SDL_TextureAccess

Definition at line 53 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), SDL_LockTexture(), SDL_QueryTexture(), SDL_SetRenderTarget(), SDL_UnlockTexture(), SDL_UpdateTextureNative(), SDL_UpdateTextureYUV(), SDL_UpdateTextureYUVPlanar(), and SW_CreateTexture().

## b

Uint8 SDL_Texture::b

Definition at line 58 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), SDL_GetTextureColorMod(), SDL_SetTextureColorMod(), SW_CreateTexture(), and SW_SetTextureColorMod().

## blendMode

SDL_BlendMode SDL_Texture::blendMode

The texture blend mode

Definition at line 57 of file SDL_sysrender.h.

Referenced by SDL_GetTextureBlendMode(), SDL_SetTextureBlendMode(), SW_CreateTexture(), and SW_SetTextureBlendMode().

## driverdata

void* SDL_Texture::driverdata

Driver specific texture representation

Definition at line 69 of file SDL_sysrender.h.

Referenced by SW_CreateTexture(), SW_DestroyTexture(), SW_LockTexture(), SW_RenderCopy(), SW_RenderCopyEx(), SW_SetRenderTarget(), SW_SetTextureAlphaMod(), SW_SetTextureBlendMode(), SW_SetTextureColorMod(), and SW_UpdateTexture().

## format

Uint32 SDL_Texture::format

The pixel format of the texture

Definition at line 52 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), SDL_LockTextureNative(), SDL_QueryTexture(), SDL_UnlockTextureNative(), SDL_UnlockTextureYUV(), SDL_UpdateTextureNative(), SDL_UpdateTextureYUV(), SDL_UpdateTextureYUVPlanar(), SDL_UpdateYUVTexture(), and SW_CreateTexture().

## g

Uint8 SDL_Texture::g

Definition at line 58 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), SDL_GetTextureColorMod(), SDL_SetTextureColorMod(), SW_CreateTexture(), and SW_SetTextureColorMod().

## h

int SDL_Texture::h

The height of the texture

Definition at line 55 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), SDL_LockTexture(), SDL_QueryTexture(), SDL_RenderCopy(), SDL_RenderCopyEx(), SDL_SetRenderTarget(), SDL_UnlockTextureYUV(), SDL_UpdateTexture(), SDL_UpdateTextureYUV(), SDL_UpdateTextureYUVPlanar(), SDL_UpdateYUVTexture(), and SW_CreateTexture().

## locked_rect

SDL_Rect SDL_Texture::locked_rect

Definition at line 67 of file SDL_sysrender.h.

Referenced by SDL_LockTextureNative(), and SDL_UnlockTextureNative().

## magic

const void* SDL_Texture::magic

Definition at line 51 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), and SDL_DestroyTexture().

## modMode

int SDL_Texture::modMode

The texture modulation mode

Definition at line 56 of file SDL_sysrender.h.

Referenced by SDL_SetTextureAlphaMod(), and SDL_SetTextureColorMod().

## native

SDL_Texture* SDL_Texture::native

Definition at line 63 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), SDL_DestroyTexture(), SDL_GL_BindTexture(), SDL_GL_UnbindTexture(), SDL_LockTexture(), SDL_RenderCopy(), SDL_RenderCopyEx(), SDL_SetRenderTarget(), SDL_SetTextureAlphaMod(), SDL_SetTextureBlendMode(), SDL_SetTextureColorMod(), SDL_UnlockTexture(), SDL_UnlockTextureNative(), SDL_UnlockTextureYUV(), SDL_UpdateTexture(), SDL_UpdateTextureNative(), SDL_UpdateTextureYUV(), SDL_UpdateTextureYUVPlanar(), and SDL_UpdateYUVTexture().

## next

SDL_Texture* SDL_Texture::next

Definition at line 72 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), and SDL_DestroyTexture().

## pitch

int SDL_Texture::pitch

Definition at line 66 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), SDL_LockTextureNative(), and SDL_UnlockTextureNative().

## pixels

void* SDL_Texture::pixels

Definition at line 65 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), SDL_DestroyTexture(), SDL_LockTextureNative(), and SDL_UnlockTextureNative().

## prev

SDL_Texture* SDL_Texture::prev

Definition at line 71 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), and SDL_DestroyTexture().

## r

Uint8 SDL_Texture::r

Definition at line 58 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), SDL_GetTextureColorMod(), SDL_SetTextureColorMod(), SW_CreateTexture(), and SW_SetTextureColorMod().

## renderer

SDL_Renderer* SDL_Texture::renderer

Definition at line 60 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), SDL_DestroyTexture(), SDL_GL_BindTexture(), SDL_GL_UnbindTexture(), SDL_LockTexture(), SDL_RenderCopy(), SDL_RenderCopyEx(), SDL_SetRenderTarget(), SDL_SetTextureAlphaMod(), SDL_SetTextureBlendMode(), SDL_SetTextureColorMod(), SDL_UnlockTexture(), SDL_UpdateTexture(), and SDL_UpdateYUVTexture().

## w

int SDL_Texture::w

The width of the texture

Definition at line 54 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), SDL_LockTexture(), SDL_QueryTexture(), SDL_RenderCopy(), SDL_RenderCopyEx(), SDL_SetRenderTarget(), SDL_UnlockTextureYUV(), SDL_UpdateTexture(), SDL_UpdateTextureYUV(), SDL_UpdateTextureYUVPlanar(), SDL_UpdateYUVTexture(), and SW_CreateTexture().

## yuv

SDL_SW_YUVTexture* SDL_Texture::yuv

Definition at line 64 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), SDL_DestroyTexture(), SDL_LockTexture(), SDL_LockTextureYUV(), SDL_UnlockTexture(), SDL_UnlockTextureYUV(), SDL_UpdateTexture(), SDL_UpdateTextureYUV(), SDL_UpdateTextureYUVPlanar(), and SDL_UpdateYUVTexture().

The documentation for this struct was generated from the following file:

- src/render/SDL_sysrender.h